#
# Conditional build:
%bcond_with	tests		# build with tests
%define		kdeframever	5.249.0
%define		qtver		5.15.2
%define		kfname		pulseaudio-qt
Summary:	pulseaudio Qt
Name:		kf6-%{kfname}
Version:	1.6.0
Release:	1
License:	GPL v2+/LGPL v2.1+
Group:		X11/Libraries
Source0:	https://download.kde.org/stable/pulseaudio-qt/%{kfname}-%{version}.tar.xz
# Source0-md5:	8ee2c7b62e82dbf60425bb6496dbbc8e
URL:		http://www.kde.org/
BuildRequires:	Qt6Core-devel >= %{qtver}
BuildRequires:	Qt6Test-devel >= %{qtver}
BuildRequires:	cmake >= 3.20
BuildRequires:	kf6-extra-cmake-modules
BuildRequires:	ninja
BuildRequires:	pkgconfig
BuildRequires:	pulseaudio-devel
BuildRequires:	qt6-build >= %{qtver}
BuildRequires:	rpmbuild(macros) >= 1.164
BuildRequires:	tar >= 1:1.22
BuildRequires:	xz
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
pulseaudio Qt.

%package devel
Summary:	Header files for %{kaname} development
Summary(pl.UTF-8):	Pliki nagłówkowe dla programistów używających %{kaname}
Group:		X11/Development/Libraries
Requires:	%{name} = %{version}-%{release}
Obsoletes:	ka5-kcontacts-devel < 20.12.3

%description devel
Header files for %{kfname} development.

%description devel -l pl.UTF-8
Pliki nagłówkowe dla programistów używających %{kaname}.


%prep
%setup -q -n %{kfname}-%{version}

%build
%cmake -B build \
	-G Ninja \
	%{!?with_tests:-DBUILD_TESTING=OFF} \
	-DHTML_INSTALL_DIR=%{_kdedocdir} \
	-DKDE_INSTALL_USE_QT_SYS_PATHS=ON \
	-DQT_MAJOR_VERSION=6

%ninja_build -C build

%if %{with tests}
%ninja_build -C build test
%endif


%install
rm -rf $RPM_BUILD_ROOT
%ninja_install -C build

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libKF6PulseAudioQt.so.*.*
%ghost %{_libdir}/libKF6PulseAudioQt.so.5

%files devel
%defattr(644,root,root,755)
%{_includedir}/KF6/KF6PulseAudioQt
%{_includedir}/KF6/pulseaudioqt_version.h
%{_libdir}/cmake/KF6PulseAudioQt
%{_libdir}/libKF6PulseAudioQt.so
%{_pkgconfigdir}/KF6PulseAudioQt.pc
%changelog
* Tue Oct 15 2024 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/kf6-pulseaudio-qt.git;a=log;h=master

* Tue Oct 08 2024 Witold Filipczyk <witekfl@poczta.onet.pl> 9a279b6
- updated to 1.6.0

* Wed Jun 19 2024 Witold Filipczyk <witekfl@poczta.onet.pl> c1717b1
- updated to 1.5.0

* Tue Feb 27 2024 Witold Filipczyk <witekfl@poczta.onet.pl> 253854c
- there was conflict with pulseaudio-qt package

